Classes | Enumerations | Variables
WP6ContentListener.h File Reference
`#include <librevenge/librevenge.h>`
`#include "WP6Listener.h"`
`#include "WPXContentListener.h"`
`#include "WP6FileStructure.h"`
`#include <stack>`
`#include <map>`
`#include <memory>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | WP6StyleStateSequence
struct | WP6ContentParsingState
struct | WP6ListLevel
class | WP6OutlineDefinition
class | WP6ContentListener

## Enumerations
enum | WP6StyleState { NORMAL , DOCUMENT_NOTE , DOCUMENT_NOTE_GLOBAL , BEGIN_BEFORE_NUMBERING , BEGIN_NUMBERING_BEFORE_DISPLAY_REFERENCING , DISPLAY_REFERENCING , BEGIN_NUMBERING_AFTER_DISPLAY_REFERENCING , BEGIN_AFTER_NUMBERING , STYLE_BODY , STYLE_END }
enum | WP6ListType { ORDERED , UNORDERED }

## Variables
const int | STATE_MEMORY = 3

## Enumeration Type Documentation

## ◆ WP6ListType

enum WP6ListType

Enumerator
ORDERED |
UNORDERED |

## ◆ WP6StyleState

enum WP6StyleState

Enumerator
NORMAL |
DOCUMENT_NOTE |
DOCUMENT_NOTE_GLOBAL |
BEGIN_BEFORE_NUMBERING |
BEGIN_NUMBERING_BEFORE_DISPLAY_REFERENCING |
DISPLAY_REFERENCING |
BEGIN_NUMBERING_AFTER_DISPLAY_REFERENCING |
BEGIN_AFTER_NUMBERING |
STYLE_BODY |
STYLE_END |

## Variable Documentation

## ◆ STATE_MEMORY

const int STATE_MEMORY = 3

Referenced by WP6StyleStateSequence::clear(), and WP6StyleStateSequence::setCurrentState().